curl --request POST \
--url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"after": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "<string>"
},
"to": [
{
"associationTypes": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>"
}
],
"toObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Batch-Lesen von Zuordnungen für Objekte für einen bestimmten Objekttyp. Das „after“-Feld in einem zurückgegebenen Paginierungsobjekt kann neben der „id“ hinzugefügt werden, um die nächste Seite von Zuordnungen aus dieser objectId abzurufen. Das „link“-Feld ist veraltet und sollte ignoriert werden. Hinweis: Das „paging“-Feld wird nur bei mehreren Seiten angezeigt, andernfalls nicht.
curl --request POST \
--url https://api.hubapi.com/crm/associations/2026-03/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"after": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "<string>"
},
"to": [
{
"associationTypes": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>"
}
],
"toObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Der Typ des „Von“-Objekts
Der Typ des „Zu“-Objekts
Show child attributes
successful operation
Der Zeitstempel, wann die Batch-Verarbeitung abgeschlossen war (Format ISO 8601).
Show child attributes
Der Zeitstempel, wann die Batch-Verarbeitung gestartet wurde (Format ISO 8601).
Der Status der Batch-Verarbeitungsanfrage: „PENDING“, „PROCESSING“, „CANCELED“ oder „COMPLETE“.
CANCELED, COMPLETE, PENDING, PROCESSING Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.
Show child attributes
Der Zeitstempel, wann die Batch-Anfrage ursprünglich gestellt wurde (Format ISO 8601).